Name:           libusnic_verbs
Version:        2.0.2
Release:        1%{?dist}
Summary:        No-op libibverbs driver for the Cisco usNIC device
Provides:       libibverbs-driver.%{_arch}
License:        GPLv2 or BSD
Url:            https://github.com/cisco/libusnic_verbs
Source0:        https://github.com/cisco/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  libibverbs-devel >= 1.2.0
BuildRequires:  gcc
# we don't have libibverbs on s390
ExcludeArch:    s390

%description
This is a dummy plugin for libibverbs for Cisco usNIC devices.

Its only purpose in life is to prevent libibverbs from noticing /sys
entries for Cisco usNIC devices and emitting a stderr warning that it
cannot find a userspace plugin to support that device.

Cisco does not support the userspace Verbs API for accessing its usNIC
devices.  The Libfabric API is provided for accessing Cisco usNIC
functionality (see http://libfabric.org/).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%{make_install}
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/libusnic_verbs.so

%files
%{_libdir}/libusnic_verbs-rdmav2.so
%{_sysconfdir}/libibverbs.d/usnic.driver
%doc AUTHORS ChangeLog VERSION
%license COPYING

%changelog
* Thu Apr 14 2016 Honggang Li <honli@redhat.com> - 2.0.2-1
- Rebase to upstream 2.0.2 which fixes the license issue.

* Thu Apr 14 2016 Honggang Li <honli@redhat.com> - 2.0.1-2
- Remove license header in the spec file.
- Use a more useful source URL.
- Enable building for s390x.
- Remove license comment in file section.

* Thu Apr 14 2016 Honggang Li <honli@redhat.com> - 2.0.1-1
- Import libusnic_verbs for Fedora.
